# $Revision: 1.10 $, $Date: 2008-06-09 21:46:27 $
%define		_ver 2.3
%define		_svnrel 1249
Summary:	Library to provide key AppArmor symbols
Summary(pl.UTF-8):	Biblioteka udostępniająca kluczowe symbole AppArmor
Name:		libapparmor
Version:	%{_ver}.%{_svnrel}
Release:	1
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://forge.novell.com/modules/xfcontent/private.php/apparmor/AppArmor%202.3-Beta1/%{name}-%{_ver}-%{_svnrel}.tar.gz
# Source0-md5:	168150aaf22aa97fcdb0bb031666d8b0
URL:		http://forge.novell.com/modules/xfmod/project/?apparmor
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the libapparmor library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library. This package is part of a suite of tools that
used to be named SubDomain.

%description -l pl.UTF-8
Ten pakiet udostępnia bibliotekę libapparmor, zawierającą symbol
change_hat(2), używany do więzienia podprocesów przez AppArmor.
Aplikacje chcące używać change_hat(2) muszą być linkowane z tą
biblioteką. Ten pakiet jest częścią zestawu narzędzi nazywanego
SubDomain.

%package devel
Summary:	Header files for libapparmor library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libapparmor
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This is the package containing the header files for libapparmor
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libapparmor.

%package static
Summary:	Static libapparmor library
Summary(pl.UTF-8):	Statyczna biblioteka libapparmor
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libapparmor library.

%description static -l pl.UTF-8
Statyczna biblioteka libapparmor.

%prep
%setup -q -n %{name}-%{_ver}-%{_svnrel}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/aalogparse
%{_includedir}/sys/*.h
%{_mandir}/man2/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libapparmor.spec,v $
Revision 1.10  2008-06-09 21:46:27  arekm
- up to 2.3.1249

Revision 1.9  2008-05-29 21:21:09  arekm
- up to 2.2.1001

Revision 1.8  2008-01-27 22:15:41  dzeus
- rel. 1

Revision 1.7  2007-04-14 06:23:15  qboosh
- epoch in internal deps

Revision 1.6  2007/04/14 00:31:32  zbyniu
- up to 2.0.1-305; epoch 1

Revision 1.5  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.3  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.2  2006/04/22 14:44:03  qboosh
- pl

Revision 1.1  2006/04/20 23:23:18  zbyniu
- new, based on spec from package
